Delete a promotion
curl --request DELETE \
--url https://api.pocketflows.com/promotions/{id} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.pocketflows.com/promotions/{id}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.pocketflows.com/promotions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"start_time": "<string>",
"end_time": "<string>",
"points_multiplier": 123,
"description": "<string>",
"image_url": "<string>"
}Promotions
Delete a promotion
DELETE
/
promotions
/
{id}
Delete a promotion
Authorizations
Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.
Path Parameters
The ID of the promotion
Response
200 - application/json
The deleted Promotion object
The ID of the promotion
Name of the promotion
Start time of the promotion
End time of the promotion
Multiplier applied to earned points
Description of the promotion
URL of the promotion image